---
title: "Get by id"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › organizations

`GET /v2/organizations/{id}`

## Path parameters

- `id` (`organization-get-by-id.path.id`; string, required)
  - minLength 1; maxLength 160

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://api.sureshake.com/v2/organizations/<id>'
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/organizations/<id>';
const options = {method: 'GET'};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/organizations/<id>"

response = requests.get(url)

print(response.text)
```

## Responses

### 200

Default Response

#### Example

```json
{
  "data": {
    "id": "string",
    "name": "string",
    "slug": "string",
    "description": "string",
    "organizationType": "string",
    "status": "string",
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z",
    "myMembershipId": "959e5d4a-e8b3-4d02-95ec-4e093ef76bd3",
    "myRole": "owner",
    "activeMemberCount": 0,
    "pendingMemberCount": 0
  },
  "meta": {
    "timestamp": "2019-08-24T14:15:22Z"
  }
}
```

- `data` (`organization-get-by-id.response.200.data`; object, required)
  - `id` (`organization-get-by-id.response.200.data.id`; string, required)
  - `name` (`organization-get-by-id.response.200.data.name`; string, required)
  - `slug` (`organization-get-by-id.response.200.data.slug`; string, required)
  - `status` (`organization-get-by-id.response.200.data.status`; string, required)
  - `createdAt` (`organization-get-by-id.response.200.data.createdAt`; string, required)
    - format `date-time`
  - `updatedAt` (`organization-get-by-id.response.200.data.updatedAt`; string, required)
    - format `date-time`
  - `description` (`organization-get-by-id.response.200.data.description`; string, optional, nullable)
  - `organizationType` (`organization-get-by-id.response.200.data.organizationType`; string, optional, nullable)
  - `myMembershipId` (`organization-get-by-id.response.200.data.myMembershipId`; string, optional)
    - format `uuid`
  - `myRole` (`organization-get-by-id.response.200.data.myRole`; string, optional)
    - one of `"owner"`, `"admin"`, `"member"`, `"viewer"`
  - `activeMemberCount` (`organization-get-by-id.response.200.data.activeMemberCount`; integer, optional)
    - min 0
  - `pendingMemberCount` (`organization-get-by-id.response.200.data.pendingMemberCount`; integer, optional)
    - min 0
- `meta` (`organization-get-by-id.response.200.meta`; object, optional)
  - `timestamp` (`organization-get-by-id.response.200.meta.timestamp`; string, required)
    - format `date-time`

### 400

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`organization-get-by-id.response.400.error`; object, required)
  - `code` (`organization-get-by-id.response.400.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`organization-get-by-id.response.400.error.message`; string, required) — Human-readable error message
  - `details` (`organization-get-by-id.response.400.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`organization-get-by-id.response.400.error.traceId`; string, optional) — Unique ID for log correlation

### 401

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`organization-get-by-id.response.401.error`; object, required)
  - `code` (`organization-get-by-id.response.401.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`organization-get-by-id.response.401.error.message`; string, required) — Human-readable error message
  - `details` (`organization-get-by-id.response.401.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`organization-get-by-id.response.401.error.traceId`; string, optional) — Unique ID for log correlation

### 403

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`organization-get-by-id.response.403.error`; object, required)
  - `code` (`organization-get-by-id.response.403.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`organization-get-by-id.response.403.error.message`; string, required) — Human-readable error message
  - `details` (`organization-get-by-id.response.403.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`organization-get-by-id.response.403.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`organization-get-by-id.response.500.error`; object, required)
  - `code` (`organization-get-by-id.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`organization-get-by-id.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`organization-get-by-id.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`organization-get-by-id.response.500.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/organizations/retrieve/index.md
